package edu.uoc.bsolee.sarau.model

import java.util.*

data class Booking(
    val id: String = "",
    val description: String = "",
    val name: String = "",
    val email: String = "",
    val phone: String? = "",
    val eventId: String = "",
    val event: Event? = null,
    val promoterId: String = "",
    val promoterCode: String? = "",
    val selectedTickets: List<SelectedTicket> = listOf(),
    val qr: String = "",
    val amount: Double = 0.00,
    val paid: Boolean = false,
    val checkedIn: Boolean = false,
    val dateCreated: Date = Date(0),
    val datePayment: Date? = null,
    val dateCheckIn: Date? = null
)

fun Booking.changePaidStatus(newPaid: Boolean): Booking {
  return if (newPaid) {
        Booking(
            id,
            description,
            name,
            email,
            phone,
            eventId,
            event,
            promoterId,
            promoterCode,
            selectedTickets,
            qr,
            amount,
            newPaid,
            checkedIn,
            dateCreated,
            Date(),
            dateCheckIn
        )
    } else {
        Booking(
            id,
            description,
            name,
            email,
            phone,
            eventId,
            event,
            promoterId,
            promoterCode,
            selectedTickets,
            qr,
            amount,
            newPaid,
            checkedIn,
            dateCreated,
            null,
            dateCheckIn
        )

    }
}

fun Booking.checkIn() = Booking(
    id,
    description,
    name,
    email,
    phone,
    eventId,
    event,
    promoterId,
    promoterCode,
    selectedTickets,
    qr,
    amount,
    paid,
    checkedIn = true,
    dateCreated,
    datePayment,
    Date()
)

