package edu.uoc.bsolee.sarau.model

import java.util.*

data class Event(
    val name: String = "",
    val description: String = "",
    val host: String = "",
    val address: Address = Address(),
    val startDate: Date = Date(0),
    val endDate: Date = Date(0),
    val tags: List<String>? = mutableListOf(),
    val published: Boolean = false,
    val image: String? = null,
    val paymentMethod: PaymentMethod = PaymentMethod(),
    val id: String = "${name.filter { !it.isWhitespace() }}${startDate.time}"
)

fun Event.changeImageUri(newUri: String?) =
    Event(
        name,
        description,
        host,
        address,
        startDate,
        endDate,
        tags,
        published,
        newUri,
        paymentMethod,
        id
    )