package edu.uoc.bsolee.sarau.ui.host.main_host

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.AuthRepository
import edu.uoc.bsolee.sarau.repository.EventRepository
import edu.uoc.bsolee.sarau.repository.HostRepository

@Suppress("UNCHECKED_CAST")
class MainHostViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(MainHostViewModel::class.java)) {
            return MainHostViewModel(
                hostRepository = HostRepository(),
                authRepository = AuthRepository(),
                eventRepository = EventRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}