package edu.uoc.bsolee.sarau.ui.login

import android.os.Bundle
import android.transition.TransitionInflater
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.fragment.app.activityViewModels
import edu.uoc.bsolee.sarau.R
import edu.uoc.bsolee.sarau.databinding.FragmentLoginHostBinding

class LoginHostFragment : Fragment() {

    // ViewModel
    private val viewModel: LoginViewModel by activityViewModels { LoginViewModelFactory() }

    // View Binding
    private var _binding: FragmentLoginHostBinding? = null
    private val binding: FragmentLoginHostBinding
        get() = _binding!!

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val inflater = TransitionInflater.from(requireContext())
        enterTransition = inflater.inflateTransition(R.transition.slide_right)
        exitTransition = inflater.inflateTransition(R.transition.fade)
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentLoginHostBinding.inflate(inflater, container, false)
        val view = binding.root
        initUi()
        initObservers()
        return view
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }

    private fun initUi() {
        // listeners
        binding.btnSignIn.setOnClickListener {
            viewModel.onClickSignIn()
        }

        binding.btnLoginAsUser.setOnClickListener {
            viewModel.onClickLogInAsUser()
        }


    }

    private fun initObservers() {

    }
}