package edu.uoc.bsolee.sarau.ui.login

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.AuthRepository
import edu.uoc.bsolee.sarau.repository.HostRepository
import edu.uoc.bsolee.sarau.repository.UserRepository

@Suppress("UNCHECKED_CAST")
class LoginViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(LoginViewModel::class.java)) {
            return LoginViewModel(
                authRepository = AuthRepository(),
                hostRepository = HostRepository(),
                userRepository = UserRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}