package edu.uoc.bsolee.sarau.ui.user.main_user

import android.os.Bundle
import androidx.activity.viewModels
import androidx.appcompat.app.AppCompatActivity
import edu.uoc.bsolee.sarau.R
import edu.uoc.bsolee.sarau.databinding.ActivityMainUserBinding

class MainUserActivity : AppCompatActivity() {

    companion object {
        const val EVENTS_FRAGMENT = 200
        const val EVENT_DETAIL_FRAGMENT = 201

    }

    // ViewModel
    private val viewModel: MainUserViewModel by viewModels { MainUserViewModelFactory() }

    // View Binding
    private var _binding: ActivityMainUserBinding? = null
    private val binding: ActivityMainUserBinding
        get() = _binding!!

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        _binding = ActivityMainUserBinding.inflate(layoutInflater)
        title = getString(R.string.events_list)
        initObservers()
        viewModel.setFragment(EVENTS_FRAGMENT)
        setContentView(binding.root)
    }

    private fun initObservers() {
        viewModel.fragment.observe(this) {
            when (it) {
                EVENTS_FRAGMENT -> {
                    val fragment = EventsUserFragment.newInstance()
                    val transaction = supportFragmentManager.beginTransaction()
                    transaction.replace(R.id.main_user_fragment_container, fragment)
                    transaction.commit()
                }
                EVENT_DETAIL_FRAGMENT -> {
                    val fragment = EventDetailUserFragment.newInstance(viewModel.eventId)
                    val transaction = supportFragmentManager.beginTransaction()
                    transaction.replace(R.id.main_user_fragment_container, fragment)
                    transaction.commit()
                }
            }
        }
    }

}