package edu.uoc.bsolee.sarau.ui.user.main_user

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import edu.uoc.bsolee.sarau.repository.*

@Suppress("UNCHECKED_CAST")
class MainUserViewModelFactory : ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(MainUserViewModel::class.java)) {
            return MainUserViewModel(
                eventRepository = EventRepository(),
                userRepository = UserRepository(),
                bookingRepository = BookingRepository()
            ) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}