package edu.uoc.bsolee.sarau.utils

import android.content.Context
import android.content.SharedPreferences
import androidx.preference.PreferenceManager


class PrefsHelper(context: Context) {

    private var sharedPreferences: SharedPreferences =
        PreferenceManager.getDefaultSharedPreferences(context)

    companion object {
        private const val TAG = "prefs."
        private const val USER = TAG + "user"
        private const val IS_HOST = TAG + "isHost"
    }

    fun clear() {
        sharedPreferences
            .edit()
            .clear()
            .apply()
    }

    fun setUser(mail: String) {
        sharedPreferences.edit().putString(USER, mail).apply()
    }

    fun getUser(): String {
        return sharedPreferences.getString(USER, "")!!
    }

    fun setHostUser(isHost: Boolean) {
        sharedPreferences.edit().putBoolean(IS_HOST, isHost).apply()
    }

    fun getHostUser(): Boolean {
       return sharedPreferences.getBoolean(IS_HOST, false)
    }
}