package edu.uoc.bsolee.sarau.utils

import android.content.Context
import android.graphics.Bitmap
import android.graphics.ImageDecoder
import android.net.Uri
import android.os.Build
import android.provider.MediaStore
import java.text.SimpleDateFormat
import java.util.*

object Utils {

    fun convertToBitmap(context: Context, imageUri: Uri): Bitmap {
        val bitmap = if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.P) {
            ImageDecoder.decodeBitmap(
                ImageDecoder.createSource(
                    context.contentResolver,
                    imageUri
                )
            )
        } else {
            MediaStore.Images.Media.getBitmap(context.contentResolver, imageUri)
        }
        return bitmap
    }

    fun setDateTime(date: Date): Pair<String, String> {
        val timeZone = TimeZone.getTimeZone("GMT")
        val dateFormat = SimpleDateFormat("dd/MM/yyyy", Locale.getDefault())
        val timeFormat = SimpleDateFormat("HH:mm", Locale.getDefault())
        dateFormat.timeZone = timeZone
        timeFormat.timeZone = timeZone
        return Pair(dateFormat.format(date), timeFormat.format(date))
    }
}